import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'README.txt')) as f:
    README = f.read()
with open(os.path.join(here, 'CHANGES.txt')) as f:
    CHANGES = f.read()

requires = [
    'pyramid',
    'waitress',
    'transaction',
    'zope.sqlalchemy',
    'SQLAlchemy',
    'psycopg2',
    ]

setup(name='brewman',
      version='3.3',
      description='brewman',
      long_description=README + '\n\n' +  CHANGES,
      classifiers=[
        "Programming Language :: Python",
        "Framework :: Pylons",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        ],
      author='Tanshu',
      author_email='brewman@tanshu.com',
      url='http://tanshu.com',
      keywords='web pyramid pylons',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires=requires,
      tests_require=requires,
      test_suite="brewman",
      entry_points = """\
      [paste.app_factory]
      main = brewman:main
      """,
      )

